﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using PivotAndRia.Web;
using System.Diagnostics;
using Telerik.Pivot.DataProviders;
using System.ServiceModel.DomainServices.Client;

namespace PivotAndRia
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            var context = new TestDomainContext();
            //var results = context.Orders;
            context.Load(context.GetOrdersQuery(),
                new Action<LoadOperation<Order>>((orders) =>
                {
                    (this.Resources["LocalDataSourceProvider"] as LocalDataSourceProvider).ItemsSource = orders.Entities;
                    this.BusyIndicator.IsBusy = false;
                }), null);
        }
    }
}
